Bug 129783 - [new port] www/p5-RT-Authen-ExternalAuth
Summary: [new port] www/p5-RT-Authen-ExternalAuth
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-20 09:50 UTC by Matthew Seaman
Modified: 2009-01-25 04:00 UTC (History)
0 users

See Also:


Attachments
p5-RT-Authen-ExternalAuth.shar (3.31 KB, text/plain)
2008-12-20 09:50 UTC, Matthew Seaman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2008-12-20 09:50:00 UTC
RT::Authen::ExternalAuth is now the recommended way to hook up RT to
an external authentication database -- either LDAP (including AD) or
one of the several RDBMS systems available.  I've ported version 0.0.5
as that's recommended for the version of RT (3.6.7) currently in the
ports tree.  Once RT 3.8.x hits the tree I'll update to 0.0.7_01.

Note: this is a superset of the function of p5-RT-Extension-LDAPImport
That port won't be updated to be compatible with RT-3.8.x

Note 2: Port has an explicit BUILD_DEPENDS on p5-perl-ldap, but it's
assumed to inherit whatever DBD/DBI dependencies needed from RT.
Comment 1 Martin Wilke freebsd_committer 2008-12-20 10:09:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-12-28 11:33:20 UTC
State Changed
From-To: open->feedback

hi, 

build failed, 

could you please take a look? 

http://i386.miwibox.org/index.php?action=describe_port&id=2079 
http://amd64.miwibox.org/index.php?action=describe_port&id=2110 
http://64bit.miwibox.org/tb/index.php?action=describe_port&id=266 

- Martin
Comment 3 Matthew Seaman 2008-12-29 11:54:17 UTC
This is a multi-part message in MIME format.
Comment 4 Matthew Seaman 2008-12-30 18:13:31 UTC
Matthew Seaman wrote:
> Updated shar attached.  This has an OPTION to choose between rt36 and 
> rt38 (rt38 is the default), plus it fixes the plist in the rt36 case.
> 
>     Cheers,
> 
>     Matthew
> 


happy-idiot-talk:~/src/ports:% diff -Nur p5-RT-Authen-ExternalAuth{.prev,}
diff -Nur p5-RT-Authen-ExternalAuth.prev/Makefile p5-RT-Authen-ExternalAuth/Makefile
--- p5-RT-Authen-ExternalAuth.prev/Makefile     2008-12-30 18:02:16.000000000 +0000
+++ p5-RT-Authen-ExternalAuth/Makefile  2008-12-30 17:38:34.000000000 +0000
@@ -38,10 +38,10 @@
 .else
 
 RTHOME?=       share/rt38
-RT_PM_DIR=     ${LOCALBASE}/lib/rt38
+RT_PM_DIR=     ${SITE_PERL}
 BUILD_DEPENDS+=        ${RT_PM_DIR}/RT.pm:${PORTSDIR}/www/rt38
 PLIST=         ${PKGDIR}/pkg-plist.rt38
-MAN3PREFIX=    ${PREFIX}/${RTHOME}
+MAN3PREFIX=    ${PREFIX}
 
 .endif
 
diff -Nur p5-RT-Authen-ExternalAuth.prev/pkg-plist.rt38 p5-RT-Authen-ExternalAuth/pkg-plist.rt38
--- p5-RT-Authen-ExternalAuth.prev/pkg-plist.rt38       2008-12-30 18:02:16.000000000 +0000
+++ p5-RT-Authen-ExternalAuth/pkg-plist.rt38    2008-12-30 17:59:16.000000000 +0000
@@ -1,6 +1,6 @@
-%%RTHOME%%/lib/RT/Authen/ExternalAuth.pm
-%%RTHOME%%/lib/RT/User_Vendor.pm
-%%RTHOME%%/man/auto/RT/Authen/ExternalAuth/.packlist
+lib/RT/Authen/ExternalAuth.pm
+lib/RT/User_Vendor.pm
+man/auto/RT/Authen/ExternalAuth/.packlist
 %%RTHOME%%/plugins/RT-Authen-ExternalAuth/etc/RT_SiteConfig.pm
 %%RTHOME%%/plugins/RT-Authen-ExternalAuth/html/Callbacks/ExternalAuth/autohandler/Auth
 %%RTHOME%%/plugins/RT-Authen-ExternalAuth/lib/RT/Authen/ExternalAuth.pm
@@ -14,12 +14,9 @@
 @dirrm %%RTHOME%%/plugins/RT-Authen-ExternalAuth/html
 @dirrm %%RTHOME%%/plugins/RT-Authen-ExternalAuth/etc
 @dirrm %%RTHOME%%/plugins/RT-Authen-ExternalAuth
-@dirrmtry %%RTHOME%%/man/man3
-@dirrm %%RTHOME%%/man/auto/RT/Authen/ExternalAuth
-@dirrmtry %%RTHOME%%/man/auto/RT/Authen
-@dirrmtry %%RTHOME%%/man/auto/RT
-@dirrmtry %%RTHOME%%/man/auto
-@dirrmtry %%RTHOME%%/man
-@dirrmtry %%RTHOME%%/lib/RT/Authen
-@dirrmtry %%RTHOME%%/lib/RT
-@dirrmtry %%RTHOME%%/lib
+@dirrm man/auto/RT/Authen/ExternalAuth
+@dirrmtry man/auto/RT/Authen
+@dirrm man/auto/RT
+@dirrmtry man/auto
+@dirrmtry lib/RT/Authen
+@dirrmtry lib/RT


-- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
                                                  Kent, CT11 9PW
Comment 5 Beech Rintoul freebsd_committer 2009-01-20 11:34:46 UTC
Responsible Changed
From-To: miwi->beech

Pass to me per request
Comment 6 dfilter service freebsd_committer 2009-01-25 03:51:32 UTC
beech       2009-01-25 03:51:23 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/p5-RT-Authen-ExternalAuth Makefile distinfo pkg-descr 
                                  pkg-plist.rt36 pkg-plist.rt38 
  Log:
  RT::Authen::ExternalAuth  RT Authentication using External Sources
  
  A complete package for adding external authentication mechanisms to
  RT. It currently supports LDAP via Net::LDAP and External Database
  authentication for any database with an installed DBI driver.
  
  It also allows for authenticating cookie information against an
  external database through the use of the RT-Authen-CookieAuth
  extension.
  
  WWW: http://search.cpan.org/perldoc?RT::Authen::ExternalAuth
  
  PR:             ports/129783
  Submitted by:   Matthew Seaman <m.seaman at infracaninophile.co.uk>
  
  Revision  Changes    Path
  1.2245    +1 -0      ports/www/Makefile
  1.1       +56 -0     ports/www/p5-RT-Authen-ExternalAuth/Makefile (new)
  1.1       +3 -0      ports/www/p5-RT-Authen-ExternalAuth/distinfo (new)
  1.1       +11 -0     ports/www/p5-RT-Authen-ExternalAuth/pkg-descr (new)
  1.1       +17 -0     ports/www/p5-RT-Authen-ExternalAuth/pkg-plist.rt36 (new)
  1.1       +22 -0     ports/www/p5-RT-Authen-ExternalAuth/pkg-plist.rt38 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Beech Rintoul freebsd_committer 2009-01-25 03:51:53 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!